﻿using UnityEngine;
using System.Collections;

public class Player25pcHealthPickup : MonoBehaviour 
{
	GameObject persistentLogicAnchor = null;
	PersistentLogicScript persistentGameLogicScript = null;

	void Start ()
	{
		persistentLogicAnchor = GameObject.Find("PersistentLogicAnchor");
		if(persistentLogicAnchor == null)
		{
			return;
		}
		persistentGameLogicScript = persistentLogicAnchor.GetComponent<PersistentLogicScript>();
	}

	void OnTriggerEnter(Collider other) 
	{
		if(other.gameObject.tag != "Player")
		{
			return;
		}

		persistentGameLogicScript.ModifyHealth(25.0f);

		Destroy (this.gameObject);
	}
}
