﻿using UnityEngine;
using System.Collections;

public class DieOnAnyCollisionExceptEnemyScript : MonoBehaviour 
{	
	GameObject gameLogicAnchor = null;
	GameLogicScript gameLogicScript = null;

	void Start ()
	{
		gameLogicAnchor = GameObject.Find("GameLogicAnchor");
		if(gameLogicAnchor == null)
		{
			return;
		}
		gameLogicScript = gameLogicAnchor.GetComponent<GameLogicScript>();
	}

	void OnCollisionEnter(Collision collision)
	{
		if(collision.gameObject.tag == "Enemy")
		{
			return;
		}

		gameLogicScript.MarkImpact(transform);

		Destroy (this.gameObject);
	}
}
