﻿using UnityEngine;
using System.Collections;

public class HandlePlayerHit : MonoBehaviour 
{
	GameObject gameLogicAnchor = null;
	GameLogicScript gameLogicScript = null;

	void Start ()
	{
		gameLogicAnchor = GameObject.Find("GameLogicAnchor");
		if(gameLogicAnchor == null)
		{
			return;
		}
		gameLogicScript = gameLogicAnchor.GetComponent<GameLogicScript>();
	}
	
	void OnTriggerEnter(Collider other) 
	{
		if(other.gameObject.tag != "EnemyBolt")
		{
			return;
		}

		gameLogicScript.RegisterPlayerHitByEnemyBolt(other.gameObject.transform);
	}
}
