﻿using UnityEngine;
using System.Collections;

public class PlayerCollectablePickup : MonoBehaviour 
{
	GameObject gameLogicAnchor = null;
	GameLogicScript gameLogicScript = null;

	void Start ()
	{
		gameLogicAnchor = GameObject.Find("GameLogicAnchor");
		if(gameLogicAnchor == null)
		{
			return;
		}
		gameLogicScript = gameLogicAnchor.GetComponent<GameLogicScript>();
	}

	void OnTriggerEnter(Collider other) 
	{
		if(other.gameObject.tag != "Player")
		{
			return;
		}

		gameLogicScript.MarkOneCollected(transform);

		Destroy (this.gameObject);
	}
}
